/*
    Romfs file system driver for Windows.
    Copyright (C) 1999-2015 Bo Brantn.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LTYPES_H
#define LTYPES_H

//
// Types used by Linux
//
typedef __int8              __s8;
typedef __int16             __s16;
typedef __int32             __s32;
typedef __int64             __s64;
typedef unsigned __int8     __u8;
typedef unsigned __int16    __u16;
typedef unsigned __int32    __u32;
typedef unsigned __int64    __u64;

#endif // LTYPES_H
